---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libcm03t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x1C70, symSize: 0x2A0 }
  - { offsetInCU: 0xAC8, offset: 0xAC8, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x5F0A0, symBinAddr: 0xB240, symSize: 0x0 }
  - { offsetInCU: 0xAEF, offset: 0xAEF, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x60FE0, symBinAddr: 0xD180, symSize: 0x0 }
  - { offsetInCU: 0xB11, offset: 0xB11, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x613D0, symBinAddr: 0xD570, symSize: 0x0 }
  - { offsetInCU: 0xB33, offset: 0xB33, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x62370, symBinAddr: 0xE510, symSize: 0x0 }
  - { offsetInCU: 0xB48, offset: 0xB48, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x62380, symBinAddr: 0xE520, symSize: 0x0 }
  - { offsetInCU: 0xBC3, offset: 0xBC3, size: 0x8, addend: 0x0, symName: _CLASS_NAME, symObjAddr: 0x12D48, symBinAddr: 0xB0A0, symSize: 0x0 }
  - { offsetInCU: 0xBD8, offset: 0xBD8, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x5ECE0, symBinAddr: 0xB0B0, symSize: 0x0 }
  - { offsetInCU: 0xBE3, offset: 0xBE3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x5ECE4, symBinAddr: 0xB0B4, symSize: 0x0 }
  - { offsetInCU: 0xBEE, offset: 0xBEE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x5ECE8, symBinAddr: 0xB0B8, symSize: 0x0 }
  - { offsetInCU: 0xC33, offset: 0xC33, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x5EE30, symBinAddr: 0xB0C0, symSize: 0x0 }
  - { offsetInCU: 0xCAC, offset: 0xCAC, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x5EEE8, symBinAddr: 0xB178, symSize: 0x0 }
  - { offsetInCU: 0xCCA, offset: 0xCCA, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5EEEC, symBinAddr: 0xB17C, symSize: 0x0 }
  - { offsetInCU: 0xCE3, offset: 0xCE3, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x5EEF0, symBinAddr: 0xB180, symSize: 0x0 }
  - { offsetInCU: 0xCFC, offset: 0xCFC, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x5EEF4, symBinAddr: 0xB184, symSize: 0x0 }
  - { offsetInCU: 0xD15, offset: 0xD15, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x5EEF8, symBinAddr: 0xB188, symSize: 0x0 }
  - { offsetInCU: 0x9304, offset: 0x9304, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x5EF00, symBinAddr: 0xB190, symSize: 0x0 }
  - { offsetInCU: 0x938D, offset: 0x938D, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x5EF10, symBinAddr: 0xB1A0, symSize: 0x0 }
  - { offsetInCU: 0x93A6, offset: 0x93A6, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x5EF18, symBinAddr: 0xB1A8, symSize: 0x0 }
  - { offsetInCU: 0x93BF, offset: 0x93BF, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x5EF20, symBinAddr: 0xB1B0, symSize: 0x0 }
  - { offsetInCU: 0x93D8, offset: 0x93D8, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x5EF28, symBinAddr: 0xB1B8, symSize: 0x0 }
  - { offsetInCU: 0x93F1, offset: 0x93F1, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x5EF30, symBinAddr: 0xB1C0, symSize: 0x0 }
  - { offsetInCU: 0x940B, offset: 0x940B, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x5EF38, symBinAddr: 0xB1C8, symSize: 0x0 }
  - { offsetInCU: 0x94F1, offset: 0x94F1, size: 0x8, addend: 0x0, symName: __ZL25ExceptionCatchEventsCount, symObjAddr: 0x5EF7C, symBinAddr: 0xB1DC, symSize: 0x0 }
  - { offsetInCU: 0x950A, offset: 0x950A, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x5EF80, symBinAddr: 0xB1E0, symSize: 0x0 }
  - { offsetInCU: 0x9523, offset: 0x9523, size: 0x8, addend: 0x0, symName: __ZL11klass_bytes, symObjAddr: 0x5EFC0, symBinAddr: 0xB1F0, symSize: 0x0 }
  - { offsetInCU: 0x953C, offset: 0x953C, size: 0x8, addend: 0x0, symName: __ZL16klass_byte_count, symObjAddr: 0x5EFC8, symBinAddr: 0xB1F8, symSize: 0x0 }
  - { offsetInCU: 0x9555, offset: 0x9555, size: 0x8, addend: 0x0, symName: __ZL22FieldAccessEventsCount, symObjAddr: 0x5EFCC, symBinAddr: 0xB1FC, symSize: 0x0 }
  - { offsetInCU: 0x956E, offset: 0x956E, size: 0x8, addend: 0x0, symName: __ZL5klass, symObjAddr: 0x5EFD0, symBinAddr: 0xB200, symSize: 0x0 }
  - { offsetInCU: 0x9587, offset: 0x9587, size: 0x8, addend: 0x0, symName: __ZL28FieldModificationEventsCount, symObjAddr: 0x5EFD8, symBinAddr: 0xB208, symSize: 0x0 }
  - { offsetInCU: 0x95A0, offset: 0x95A0, size: 0x8, addend: 0x0, symName: __ZL21SingleStepEventsCount, symObjAddr: 0x5EFDC, symBinAddr: 0xB20C, symSize: 0x0 }
  - { offsetInCU: 0x95B9, offset: 0x95B9, size: 0x8, addend: 0x0, symName: __ZL20ExceptionEventsCount, symObjAddr: 0x5EFE0, symBinAddr: 0xB210, symSize: 0x0 }
  - { offsetInCU: 0x95D2, offset: 0x95D2, size: 0x8, addend: 0x0, symName: __ZL21BreakpointEventsCount, symObjAddr: 0x5EFE4, symBinAddr: 0xB214, symSize: 0x0 }
  - { offsetInCU: 0x95EB, offset: 0x95EB, size: 0x8, addend: 0x0, symName: __ZL19FramePopEventsCount, symObjAddr: 0x5EFE8, symBinAddr: 0xB218, symSize: 0x0 }
  - { offsetInCU: 0x9604, offset: 0x9604, size: 0x8, addend: 0x0, symName: __ZL22MethodEntryEventsCount, symObjAddr: 0x5EFEC, symBinAddr: 0xB21C, symSize: 0x0 }
  - { offsetInCU: 0x961D, offset: 0x961D, size: 0x8, addend: 0x0, symName: __ZL21MethodExitEventsCount, symObjAddr: 0x5EFF0, symBinAddr: 0xB220, symSize: 0x0 }
  - { offsetInCU: 0x9636, offset: 0x9636, size: 0x8, addend: 0x0, symName: __ZL6method, symObjAddr: 0x5F000, symBinAddr: 0xB230, symSize: 0x0 }
  - { offsetInCU: 0x964F, offset: 0x964F, size: 0x8, addend: 0x0, symName: __ZL5field, symObjAddr: 0x5F008, symBinAddr: 0xB238, symSize: 0x0 }
  - { offsetInCU: 0x9668, offset: 0x9668, size: 0x8, addend: 0x0, symName: __ZL6thread, symObjAddr: 0x5EFF8, symBinAddr: 0xB228, symSize: 0x0 }
  - { offsetInCU: 0x96BA, offset: 0x96BA, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x8F0, symSize: 0x80 }
  - { offsetInCU: 0x974F, offset: 0x974F, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x840, symSize: 0xB0 }
  - { offsetInCU: 0x97AA, offset: 0x97AA, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x740, symSize: 0x100 }
  - { offsetInCU: 0x9A3D, offset: 0x9A3D, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x970, symSize: 0xC0 }
  - { offsetInCU: 0x9A8F, offset: 0x9A8F, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xA30, symSize: 0x220 }
  - { offsetInCU: 0x9C74, offset: 0x9C74, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0xC50, symSize: 0xA0 }
  - { offsetInCU: 0x9D27, offset: 0x9D27, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0xCF0, symSize: 0x110 }
  - { offsetInCU: 0x9E1D, offset: 0x9E1D, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0xE00, symSize: 0x150 }
  - { offsetInCU: 0x9F7A, offset: 0x9F7A, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0xF50, symSize: 0x30 }
  - { offsetInCU: 0xA0B3, offset: 0xA0B3, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0xF80, symSize: 0x150 }
  - { offsetInCU: 0xA2AB, offset: 0xA2AB, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x10D0, symSize: 0x160 }
  - { offsetInCU: 0xA56B, offset: 0xA56B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x1230, symSize: 0x4A0 }
  - { offsetInCU: 0xA7DE, offset: 0xA7DE, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x16D0, symSize: 0x1B0 }
  - { offsetInCU: 0xA9F9, offset: 0xA9F9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1880, symSize: 0xA0 }
  - { offsetInCU: 0xAB20, offset: 0xAB20, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x1920, symSize: 0x20 }
  - { offsetInCU: 0xAB57, offset: 0xAB57, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x1940, symSize: 0x20 }
  - { offsetInCU: 0xAB8E, offset: 0xAB8E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x1960, symSize: 0x20 }
  - { offsetInCU: 0xAD81, offset: 0xAD81, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x1980, symSize: 0x1A0 }
  - { offsetInCU: 0xB09D, offset: 0xB09D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x1B20, symSize: 0x150 }
  - { offsetInCU: 0xB25A, offset: 0xB25A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x1F10, symSize: 0x1D0 }
  - { offsetInCU: 0xB556, offset: 0xB556, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x20E0, symSize: 0x80 }
  - { offsetInCU: 0xB61F, offset: 0xB61F, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2160, symSize: 0x6C0 }
  - { offsetInCU: 0xC195, offset: 0xC195, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xD860, symBinAddr: 0x6A80, symSize: 0xB0 }
  - { offsetInCU: 0xC20C, offset: 0xC20C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2820, symSize: 0x70 }
  - { offsetInCU: 0xC364, offset: 0xC364, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2890, symSize: 0xA0 }
  - { offsetInCU: 0xC48F, offset: 0xC48F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2930, symSize: 0x40 }
  - { offsetInCU: 0xC585, offset: 0xC585, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2970, symSize: 0x2B0 }
  - { offsetInCU: 0xC92B, offset: 0xC92B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x2C20, symSize: 0xC0 }
  - { offsetInCU: 0xCA71, offset: 0xCA71, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x2CE0, symSize: 0x10 }
  - { offsetInCU: 0xCB33, offset: 0xCB33, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x2CF0, symSize: 0x240 }
  - { offsetInCU: 0xCE1C, offset: 0xCE1C, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x2F30, symSize: 0x10 }
  - { offsetInCU: 0xCE79, offset: 0xCE79, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x2F40, symSize: 0x540 }
  - { offsetInCU: 0xD51B, offset: 0xD51B, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA260, symBinAddr: 0x3480, symSize: 0x10 }
  - { offsetInCU: 0xD598, offset: 0xD598, size: 0x8, addend: 0x0, symName: _ExceptionCatch, symObjAddr: 0xA270, symBinAddr: 0x3490, symSize: 0x180 }
  - { offsetInCU: 0xD7A5, offset: 0xD7A5, size: 0x8, addend: 0x0, symName: __ZL17ClassFileLoadHookP9_jvmtiEnvP7JNIEnv_P7_jclassP8_jobjectPKcS6_iPKhPiPPh, symObjAddr: 0xA3F0, symBinAddr: 0x3610, symSize: 0x180 }
  - { offsetInCU: 0xDA36, offset: 0xDA36, size: 0x8, addend: 0x0, symName: __ZL11FieldAccessP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDlP7_jclassS4_P9_jfieldID, symObjAddr: 0xA570, symBinAddr: 0x3790, symSize: 0x1A0 }
  - { offsetInCU: 0xDCCA, offset: 0xDCCA, size: 0x8, addend: 0x0, symName: __ZL17FieldModificationP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDlP7_jclassS4_P9_jfieldIDc6jvalue, symObjAddr: 0xA710, symBinAddr: 0x3930, symSize: 0x130 }
  - { offsetInCU: 0xDED6, offset: 0xDED6, size: 0x8, addend: 0x0, symName: __ZL10SingleStepP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDl, symObjAddr: 0xA840, symBinAddr: 0x3A60, symSize: 0x180 }
  - { offsetInCU: 0xE14F, offset: 0xE14F, size: 0x8, addend: 0x0, symName: __ZL9ExceptionP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDlS4_S6_l, symObjAddr: 0xA9C0, symBinAddr: 0x3BE0, symSize: 0x180 }
  - { offsetInCU: 0xE3A1, offset: 0xE3A1, size: 0x8, addend: 0x0, symName: __ZL10BreakpointP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDl, symObjAddr: 0xAB40, symBinAddr: 0x3D60, symSize: 0x140 }
  - { offsetInCU: 0xE5C0, offset: 0xE5C0, size: 0x8, addend: 0x0, symName: __ZL8FramePopP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDh, symObjAddr: 0xAC80, symBinAddr: 0x3EA0, symSize: 0x130 }
  - { offsetInCU: 0xE792, offset: 0xE792, size: 0x8, addend: 0x0, symName: __ZL11MethodEntryP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodID, symObjAddr: 0xADB0, symBinAddr: 0x3FD0, symSize: 0x130 }
  - { offsetInCU: 0xE964, offset: 0xE964, size: 0x8, addend: 0x0, symName: __ZL10MethodExitP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDh6jvalue, symObjAddr: 0xAEE0, symBinAddr: 0x4100, symSize: 0x130 }
  - { offsetInCU: 0xF402, offset: 0xF402, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB010, symBinAddr: 0x4230, symSize: 0x2850 }
  - { offsetInCU: 0x126F2, offset: 0x126F2, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xD910, symBinAddr: 0x6B30, symSize: 0x36A }
...
